InfoGrab Docs

취약점 내보내기 API

요약

이 API를 사용하여 취약점 보고서를 내보냅니다. 프로젝트에 대한 새 취약점 내보내기를 생성합니다. 인증된 사용자가 새 취약점을 생성할 권한이 없으면 이 요청은 403 Forbidden 상태 코드를 반환합니다. 각 사용자는 특정 프로젝트에 대해 한 번에 하나의 취약점 내보내기만 생성할 수 있습니다.

히스토리
  • GitLab 18.1에서 vulnerabilities_pdf_export라는 플래그와 함께 PDF 내보내기가 도입되었습니다. 기본적으로 비활성화됩니다.

이 API를 사용하여 취약점 보고서를 내보냅니다. 이 API에 대한 모든 호출에는 인증이 필요합니다.

프로젝트 수준 취약점 내보내기 생성#

프로젝트에 대한 새 취약점 내보내기를 생성합니다.

인증된 사용자가 새 취약점을 생성할 권한이 없으면 이 요청은 403 Forbidden 상태 코드를 반환합니다.

각 사용자는 특정 프로젝트에 대해 한 번에 하나의 취약점 내보내기만 생성할 수 있습니다. 이전 요청이 아직 진행 중인 동안 내보내기를 요청하면 429 Too Many Requests 오류가 발생합니다.

취약점 내보내기는 내보내기 작성자만 접근할 수 있습니다.

POST /security/projects/:id/vulnerability_exports
속성 유형 필수 설명
id integer or string yes 인증된 사용자가 멤버인 프로젝트의 ID 또는 URL 인코딩된 경로
send_email boolean no true로 설정하면 내보내기가 완료될 때 내보내기를 요청한 사용자에게 이메일 알림을 보냅니다.
export_format string no 값: csv, pdf. 기본값은 csv입니다. pdf 보고서에는 vulnerabilities_pdf_export 기능 플래그가 필요합니다.
report_data object no 내보내기에 사용할 프론트엔드 데이터 자산에 매핑된 보고서 구성 요소의 해시. 예: { project_vulnerabilities_history: '<svg>some report asset</svg>' }
Feature flag

PDF 내보내기의 가용성은 기능 플래그로 제어됩니다. 자세한 내용은 기록을 참조하세요.

curl --request POST \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/security/projects/1/vulnerability_exports"

생성된 취약점 내보내기는 expires_at 필드에 지정된 시간에 자동으로 삭제됩니다.

응답 예시:

{
  "id": 2,
  "created_at": "2020-03-30T09:35:38.746Z",
  "project_id": 1,
  "group_id": null,
  "format": "csv",
  "status": "created",
  "started_at": null,
  "finished_at": null,
  "send_email": false,
  "expires_at": "2020-04-06T09:35:38.746Z",
  "_links": {
    "self": "https://gitlab.example.com/api/v4/security/vulnerability_exports/2",
    "download": "https://gitlab.example.com/api/v4/security/vulnerability_exports/2/download"
  }
}

그룹 수준 취약점 내보내기 생성#

그룹에 대한 새 취약점 내보내기를 생성합니다.

인증된 사용자가 새 취약점을 생성할 권한이 없으면 이 요청은 403 Forbidden 상태 코드를 반환합니다.

각 사용자는 특정 그룹에 대해 한 번에 하나의 취약점 내보내기만 생성할 수 있습니다. 이전 요청이 아직 진행 중인 동안 내보내기를 요청하면 429 Too Many Requests 오류가 발생합니다.

취약점 내보내기는 내보내기 작성자만 접근할 수 있습니다.

POST /security/groups/:id/vulnerability_exports
속성 유형 필수 설명
id integer or string yes 인증된 사용자가 멤버인 그룹의 ID 또는 URL 인코딩된 경로
export_format string no 값: csv, pdf. 기본값은 csv입니다. PDF 보고서에는 vulnerabilities_pdf_export 기능 플래그가 필요합니다.
report_data object no 내보내기에 사용할 프론트엔드 데이터 자산에 매핑된 보고서 구성 요소의 해시. 예: { project_vulnerabilities_history: '<svg>some report asset</svg>' }
Feature flag

PDF 내보내기의 가용성은 기능 플래그로 제어됩니다. 자세한 내용은 기록을 참조하세요.

curl --request POST \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/security/groups/1/vulnerability_exports"

생성된 취약점 내보내기는 expires_at 필드에 지정된 시간에 자동으로 삭제됩니다.

응답 예시:

{
  "id": 2,
  "created_at": "2020-03-30T09:35:38.746Z",
  "project_id": null,
  "group_id": 1,
  "format": "csv",
  "status": "created",
  "started_at": null,
  "finished_at": null,
  "expires_at": "2020-04-06T09:35:38.746Z",
  "_links": {
    "self": "https://gitlab.example.com/api/v4/security/vulnerability_exports/2",
    "download": "https://gitlab.example.com/api/v4/security/vulnerability_exports/2/download"
  }
}

인스턴스 수준 취약점 내보내기 생성#

보안 대시보드에서 선택된 사용자의 프로젝트에 대한 새 취약점 내보내기를 생성합니다.

POST /security/vulnerability_exports
curl --request POST \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/security/vulnerability_exports"

생성된 취약점 내보내기는 expires_at 필드에 지정된 시간에 자동으로 삭제됩니다.

응답 예시:

{
  "id": 2,
  "created_at": "2020-03-30T09:35:38.746Z",
  "project_id": null,
  "group_id": null,
  "format": "csv",
  "status": "created",
  "started_at": null,
  "finished_at": null,
  "expires_at": "2020-04-06T09:35:38.746Z",
  "_links": {
    "self": "https://gitlab.example.com/api/v4/security/vulnerability_exports/2",
    "download": "https://gitlab.example.com/api/v4/security/vulnerability_exports/2/download"
  }
}

취약점 내보내기 조회#

지정된 취약점 내보내기를 조회합니다.

GET /security/vulnerability_exports/:id
속성 유형 필수 설명
id integer or string yes 취약점 내보내기의 ID
curl --request GET \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/security/vulnerability_exports/2"

취약점 내보내기가 완료되지 않은 경우 응답은 202 Accepted입니다.

응답 예시:

{
  "id": 2,
  "created_at": "2020-03-30T09:35:38.746Z",
  "project_id": 1,
  "group_id": null,
  "format": "csv",
  "status": "finished",
  "started_at": "2020-03-30T09:36:54.469Z",
  "finished_at": "2020-03-30T09:36:55.008Z",
  "expires_at": "2020-04-06T09:35:38.746Z",
  "_links": {
    "self": "https://gitlab.example.com/api/v4/security/vulnerability_exports/2",
    "download": "https://gitlab.example.com/api/v4/security/vulnerability_exports/2/download"
  }
}

취약점 내보내기 다운로드#

지정된 취약점 내보내기를 다운로드합니다.

GET /security/vulnerability_exports/:id/download
속성 유형 필수 설명
id integer or string yes 취약점 내보내기의 ID
curl --request GET \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/security/vulnerability_exports/2/download"

취약점 내보내기가 아직 완료되지 않았거나 찾을 수 없는 경우 응답은 404 Not Found입니다.

응답 예시:

Group Name,Project Name,Tool,Scanner Name,Status,Vulnerability,Details,Additional Info,Severity,CVE,CWE,Other Identifiers,Detected At,Location,Activity,Comments,Full Path,CVSS Vectors,Dismissal Reason
Gitlab.org,Defend,container_scanning,Trivy,resolved,CVE-2019-14697 in musl-utils-1.1.20-r4,"musl libc through 1.1.23 has an x87 floating-point stack adjustment imbalance, related to the math/i386/ directory. In some cases, use of this library could introduce out-of-bounds writes that are not present in an application's source code.",CVE-2019-14697 in musl-utils-1.1.20-r4,critical,CVE-2019-14697,,"",2022-10-07 13:34:41 UTC,"{""image""=>""python:3.4-alpine"", ""dependency""=>{""package""=>{""name""=>""musl-utils""}, ""version""=>""1.1.20-r4""}, ""operating_system""=>""alpine 3.9.2""}",true,"2022-10-07 13:41:08 UTC|root|resolved|changed vulnerability status to resolved",group/project/1,,,
Gitlab.org,Defend,container_scanning,Trivy,detected,CVE-2019-19242 in sqlite-libs-3.26.0-r3,"SQLite 3.30.1 mishandles pExpr->y.pTab, as demonstrated by the TK_COLUMN case in sqlite3ExprCodeTarget in expr.c.",CVE-2019-19242 in sqlite-libs-3.26.0-r3,medium,CVE-2019-19242,,"",2022-10-07 13:34:41 UTC,"{""image""=>""python:3.4-alpine"", ""dependency""=>{""package""=>{""name""=>""sqlite-libs""}, ""version""=>""3.26.0-r3""}, ""operating_system""=>""alpine 3.9.2""}",true,"",group/project/2,,,
Gitlab.org,Defend,container_scanning,Trivy,detected,CVE-2020-28928 in musl-1.1.20-r4,"In musl libc through 1.2.1, wcsnrtombs mishandles particular combinations of destination buffer size and source character limit, as demonstrated by an invalid write access (buffer overflow).",CVE-2020-28928 in musl-1.1.20-r4,medium,CVE-2020-28928,,"",2022-10-07 13:34:41 UTC,"{""image""=>""python:3.4-alpine"", ""dependency""=>{""package""=>{""name""=>""musl""}, ""version""=>""1.1.20-r4""}, ""operating_system""=>""alpine 3.9.2""}",true,"",group/project/3,,,
Gitlab.org,Defend,dependency_scanning,Gemnasium,detected,Improper Neutralization of Special Elements used in an OS Command ('OS Command Injection') in rack,Carefully crafted requests can cause shell escape sequences to be written to the terminal via Rack's Lint middleware and CommonLogger middleware. These escape sequences can be leveraged to possibly execute commands in the victim's terminal.,Improper Neutralization of Special Elements used in an OS Command ('OS Command Injection') in rack,unknown,Gemfile.lock:rack:gemnasium:60b5a27f-4e4d-4ab4-8ae7-74b4b212e177,,Gemnasium-60b5a27f-4e4d-4ab4-8ae7-74b4b212e177; GHSA-wq4h-7r42-5hrr,2022-10-14 13:16:00 UTC,"{""file""=>""Gemfile.lock"", ""dependency""=>{""package""=>{""name""=>""rack""}, ""version""=>""2.2.3""}}",false,group/project/4,,,
Gitlab.org,Defend,dependency_scanning,Gemnasium,detected,Denial of Service Vulnerability in Rack Multipart Parsing in rack,"Carefully crafted multipart POST requests can cause Rack's multipart parser to take much longer than expected, leading to a possible denial of service vulnerability. Impacted code will use Rack's multipart parser to parse multipart posts.",Denial of Service Vulnerability in Rack Multipart Parsing in rack,unknown,Gemfile.lock:rack:gemnasium:20daa17a-47b5-4f79-80c2-cd8f2db9805c,,Gemnasium-20daa17a-47b5-4f79-80c2-cd8f2db9805c; GHSA-hxqx-xwvh-44m2,2022-10-14 13:16:00 UTC,"{""file""=>""Gemfile.lock"", ""dependency""=>{""package""=>{""name""=>""rack""}, ""version""=>""2.2.3""}}",false,group/project/5,,,
Gitlab.org,Defend,sast,Brakeman,detected,Possible SQL injection,,Possible SQL injection,medium,e52f23a259cd489168b4313317ac94a3f13bffde57b9635171c1a44a9f329e9a,,"""Brakeman Warning Code 0""",2022-10-13 15:16:36 UTC,"{""file""=>""main.rb"", ""class""=>""User"", ""method""=>""index"", ""start_line""=>3}",false,"",group/project/6,,,
Gitlab.org,Defend,sast,Semgrep,dismissed,Improper Neutralization of Special Elements used in an SQL Command ('SQL Injection'),"SQL Injection is a critical vulnerability that can lead to data or system compromise...",,critical,,CWE-89,SCS0002,2023-12-28 10:48:34 UTC,"{""file""=>""WebGoat/App_Code/DB/SqliteDbProvider.cs"", ""start_line""=>274}",false,"2023-12-28 10:51:32 UTC|root|Dismissed|""changed vulnerability status to Dismissed: Not Applicable and the following comment: ""dismiss 5""",gitlab-org/defend/579,,Not applicable,

취약점 내보내기 API

Tier: Ultimate
Offering: GitLab.com, GitLab Self-Managed, GitLab Dedicated
원문 보기
요약

이 API를 사용하여 취약점 보고서를 내보냅니다. 프로젝트에 대한 새 취약점 내보내기를 생성합니다. 인증된 사용자가 새 취약점을 생성할 권한이 없으면 이 요청은 403 Forbidden 상태 코드를 반환합니다. 각 사용자는 특정 프로젝트에 대해 한 번에 하나의 취약점 내보내기만 생성할 수 있습니다.

히스토리
  • GitLab 18.1에서 vulnerabilities_pdf_export라는 플래그와 함께 PDF 내보내기가 도입되었습니다. 기본적으로 비활성화됩니다.

이 API를 사용하여 취약점 보고서를 내보냅니다. 이 API에 대한 모든 호출에는 인증이 필요합니다.

프로젝트 수준 취약점 내보내기 생성#

프로젝트에 대한 새 취약점 내보내기를 생성합니다.

인증된 사용자가 새 취약점을 생성할 권한이 없으면 이 요청은 403 Forbidden 상태 코드를 반환합니다.

각 사용자는 특정 프로젝트에 대해 한 번에 하나의 취약점 내보내기만 생성할 수 있습니다. 이전 요청이 아직 진행 중인 동안 내보내기를 요청하면 429 Too Many Requests 오류가 발생합니다.

취약점 내보내기는 내보내기 작성자만 접근할 수 있습니다.

POST /security/projects/:id/vulnerability_exports
속성 유형 필수 설명
id integer or string yes 인증된 사용자가 멤버인 프로젝트의 ID 또는 URL 인코딩된 경로
send_email boolean no true로 설정하면 내보내기가 완료될 때 내보내기를 요청한 사용자에게 이메일 알림을 보냅니다.
export_format string no 값: csv, pdf. 기본값은 csv입니다. pdf 보고서에는 vulnerabilities_pdf_export 기능 플래그가 필요합니다.
report_data object no 내보내기에 사용할 프론트엔드 데이터 자산에 매핑된 보고서 구성 요소의 해시. 예: { project_vulnerabilities_history: '<svg>some report asset</svg>' }
Feature flag

PDF 내보내기의 가용성은 기능 플래그로 제어됩니다. 자세한 내용은 기록을 참조하세요.

curl --request POST \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/security/projects/1/vulnerability_exports"

생성된 취약점 내보내기는 expires_at 필드에 지정된 시간에 자동으로 삭제됩니다.

응답 예시:

{
  "id": 2,
  "created_at": "2020-03-30T09:35:38.746Z",
  "project_id": 1,
  "group_id": null,
  "format": "csv",
  "status": "created",
  "started_at": null,
  "finished_at": null,
  "send_email": false,
  "expires_at": "2020-04-06T09:35:38.746Z",
  "_links": {
    "self": "https://gitlab.example.com/api/v4/security/vulnerability_exports/2",
    "download": "https://gitlab.example.com/api/v4/security/vulnerability_exports/2/download"
  }
}

그룹 수준 취약점 내보내기 생성#

그룹에 대한 새 취약점 내보내기를 생성합니다.

인증된 사용자가 새 취약점을 생성할 권한이 없으면 이 요청은 403 Forbidden 상태 코드를 반환합니다.

각 사용자는 특정 그룹에 대해 한 번에 하나의 취약점 내보내기만 생성할 수 있습니다. 이전 요청이 아직 진행 중인 동안 내보내기를 요청하면 429 Too Many Requests 오류가 발생합니다.

취약점 내보내기는 내보내기 작성자만 접근할 수 있습니다.

POST /security/groups/:id/vulnerability_exports
속성 유형 필수 설명
id integer or string yes 인증된 사용자가 멤버인 그룹의 ID 또는 URL 인코딩된 경로
export_format string no 값: csv, pdf. 기본값은 csv입니다. PDF 보고서에는 vulnerabilities_pdf_export 기능 플래그가 필요합니다.
report_data object no 내보내기에 사용할 프론트엔드 데이터 자산에 매핑된 보고서 구성 요소의 해시. 예: { project_vulnerabilities_history: '<svg>some report asset</svg>' }
Feature flag

PDF 내보내기의 가용성은 기능 플래그로 제어됩니다. 자세한 내용은 기록을 참조하세요.

curl --request POST \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/security/groups/1/vulnerability_exports"

생성된 취약점 내보내기는 expires_at 필드에 지정된 시간에 자동으로 삭제됩니다.

응답 예시:

{
  "id": 2,
  "created_at": "2020-03-30T09:35:38.746Z",
  "project_id": null,
  "group_id": 1,
  "format": "csv",
  "status": "created",
  "started_at": null,
  "finished_at": null,
  "expires_at": "2020-04-06T09:35:38.746Z",
  "_links": {
    "self": "https://gitlab.example.com/api/v4/security/vulnerability_exports/2",
    "download": "https://gitlab.example.com/api/v4/security/vulnerability_exports/2/download"
  }
}

인스턴스 수준 취약점 내보내기 생성#

보안 대시보드에서 선택된 사용자의 프로젝트에 대한 새 취약점 내보내기를 생성합니다.

POST /security/vulnerability_exports
curl --request POST \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/security/vulnerability_exports"

생성된 취약점 내보내기는 expires_at 필드에 지정된 시간에 자동으로 삭제됩니다.

응답 예시:

{
  "id": 2,
  "created_at": "2020-03-30T09:35:38.746Z",
  "project_id": null,
  "group_id": null,
  "format": "csv",
  "status": "created",
  "started_at": null,
  "finished_at": null,
  "expires_at": "2020-04-06T09:35:38.746Z",
  "_links": {
    "self": "https://gitlab.example.com/api/v4/security/vulnerability_exports/2",
    "download": "https://gitlab.example.com/api/v4/security/vulnerability_exports/2/download"
  }
}

취약점 내보내기 조회#

지정된 취약점 내보내기를 조회합니다.

GET /security/vulnerability_exports/:id
속성 유형 필수 설명
id integer or string yes 취약점 내보내기의 ID
curl --request GET \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/security/vulnerability_exports/2"

취약점 내보내기가 완료되지 않은 경우 응답은 202 Accepted입니다.

응답 예시:

{
  "id": 2,
  "created_at": "2020-03-30T09:35:38.746Z",
  "project_id": 1,
  "group_id": null,
  "format": "csv",
  "status": "finished",
  "started_at": "2020-03-30T09:36:54.469Z",
  "finished_at": "2020-03-30T09:36:55.008Z",
  "expires_at": "2020-04-06T09:35:38.746Z",
  "_links": {
    "self": "https://gitlab.example.com/api/v4/security/vulnerability_exports/2",
    "download": "https://gitlab.example.com/api/v4/security/vulnerability_exports/2/download"
  }
}

취약점 내보내기 다운로드#

지정된 취약점 내보내기를 다운로드합니다.

GET /security/vulnerability_exports/:id/download
속성 유형 필수 설명
id integer or string yes 취약점 내보내기의 ID
curl --request GET \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/security/vulnerability_exports/2/download"

취약점 내보내기가 아직 완료되지 않았거나 찾을 수 없는 경우 응답은 404 Not Found입니다.

응답 예시:

Group Name,Project Name,Tool,Scanner Name,Status,Vulnerability,Details,Additional Info,Severity,CVE,CWE,Other Identifiers,Detected At,Location,Activity,Comments,Full Path,CVSS Vectors,Dismissal Reason
Gitlab.org,Defend,container_scanning,Trivy,resolved,CVE-2019-14697 in musl-utils-1.1.20-r4,"musl libc through 1.1.23 has an x87 floating-point stack adjustment imbalance, related to the math/i386/ directory. In some cases, use of this library could introduce out-of-bounds writes that are not present in an application's source code.",CVE-2019-14697 in musl-utils-1.1.20-r4,critical,CVE-2019-14697,,"",2022-10-07 13:34:41 UTC,"{""image""=>""python:3.4-alpine"", ""dependency""=>{""package""=>{""name""=>""musl-utils""}, ""version""=>""1.1.20-r4""}, ""operating_system""=>""alpine 3.9.2""}",true,"2022-10-07 13:41:08 UTC|root|resolved|changed vulnerability status to resolved",group/project/1,,,
Gitlab.org,Defend,container_scanning,Trivy,detected,CVE-2019-19242 in sqlite-libs-3.26.0-r3,"SQLite 3.30.1 mishandles pExpr->y.pTab, as demonstrated by the TK_COLUMN case in sqlite3ExprCodeTarget in expr.c.",CVE-2019-19242 in sqlite-libs-3.26.0-r3,medium,CVE-2019-19242,,"",2022-10-07 13:34:41 UTC,"{""image""=>""python:3.4-alpine"", ""dependency""=>{""package""=>{""name""=>""sqlite-libs""}, ""version""=>""3.26.0-r3""}, ""operating_system""=>""alpine 3.9.2""}",true,"",group/project/2,,,
Gitlab.org,Defend,container_scanning,Trivy,detected,CVE-2020-28928 in musl-1.1.20-r4,"In musl libc through 1.2.1, wcsnrtombs mishandles particular combinations of destination buffer size and source character limit, as demonstrated by an invalid write access (buffer overflow).",CVE-2020-28928 in musl-1.1.20-r4,medium,CVE-2020-28928,,"",2022-10-07 13:34:41 UTC,"{""image""=>""python:3.4-alpine"", ""dependency""=>{""package""=>{""name""=>""musl""}, ""version""=>""1.1.20-r4""}, ""operating_system""=>""alpine 3.9.2""}",true,"",group/project/3,,,
Gitlab.org,Defend,dependency_scanning,Gemnasium,detected,Improper Neutralization of Special Elements used in an OS Command ('OS Command Injection') in rack,Carefully crafted requests can cause shell escape sequences to be written to the terminal via Rack's Lint middleware and CommonLogger middleware. These escape sequences can be leveraged to possibly execute commands in the victim's terminal.,Improper Neutralization of Special Elements used in an OS Command ('OS Command Injection') in rack,unknown,Gemfile.lock:rack:gemnasium:60b5a27f-4e4d-4ab4-8ae7-74b4b212e177,,Gemnasium-60b5a27f-4e4d-4ab4-8ae7-74b4b212e177; GHSA-wq4h-7r42-5hrr,2022-10-14 13:16:00 UTC,"{""file""=>""Gemfile.lock"", ""dependency""=>{""package""=>{""name""=>""rack""}, ""version""=>""2.2.3""}}",false,group/project/4,,,
Gitlab.org,Defend,dependency_scanning,Gemnasium,detected,Denial of Service Vulnerability in Rack Multipart Parsing in rack,"Carefully crafted multipart POST requests can cause Rack's multipart parser to take much longer than expected, leading to a possible denial of service vulnerability. Impacted code will use Rack's multipart parser to parse multipart posts.",Denial of Service Vulnerability in Rack Multipart Parsing in rack,unknown,Gemfile.lock:rack:gemnasium:20daa17a-47b5-4f79-80c2-cd8f2db9805c,,Gemnasium-20daa17a-47b5-4f79-80c2-cd8f2db9805c; GHSA-hxqx-xwvh-44m2,2022-10-14 13:16:00 UTC,"{""file""=>""Gemfile.lock"", ""dependency""=>{""package""=>{""name""=>""rack""}, ""version""=>""2.2.3""}}",false,group/project/5,,,
Gitlab.org,Defend,sast,Brakeman,detected,Possible SQL injection,,Possible SQL injection,medium,e52f23a259cd489168b4313317ac94a3f13bffde57b9635171c1a44a9f329e9a,,"""Brakeman Warning Code 0""",2022-10-13 15:16:36 UTC,"{""file""=>""main.rb"", ""class""=>""User"", ""method""=>""index"", ""start_line""=>3}",false,"",group/project/6,,,
Gitlab.org,Defend,sast,Semgrep,dismissed,Improper Neutralization of Special Elements used in an SQL Command ('SQL Injection'),"SQL Injection is a critical vulnerability that can lead to data or system compromise...",,critical,,CWE-89,SCS0002,2023-12-28 10:48:34 UTC,"{""file""=>""WebGoat/App_Code/DB/SqliteDbProvider.cs"", ""start_line""=>274}",false,"2023-12-28 10:51:32 UTC|root|Dismissed|""changed vulnerability status to Dismissed: Not Applicable and the following comment: ""dismiss 5""",gitlab-org/defend/579,,Not applicable,